package com.ywt.alipaympapi.service.impl;

import com.ywt.alipaympapi.core.utils.ContextHelper;
import com.ywt.model.PageVO;
import com.ywt.request.report.QueryReportDetailRequest;
import com.ywt.request.report.QueryReportListRequest;
import com.ywt.response.report.QueryReportDetailResponseData;
import com.ywt.response.report.QueryReportListResponseData;
import com.ywt.alipaympapi.service.IsvReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class IsvReportServiceImpl implements IsvReportService {


    @Override
    public QueryReportDetailResponseData queryReportDetail(QueryReportDetailRequest request) {
        return null;
    }

    @Override
    public PageVO<QueryReportListResponseData> queryReportList(QueryReportListRequest request) {
        int userId = ContextHelper.getCurrentUserIdWrapped();
        String cardNum = request.getCardNum();
        // 报告类型：分为"检查报告"、"检验报告"两种
        String type = request.getType();
        if ("检查报告".equals(type)){

        }
        if ("检验报告".equals(type)){

        }

        return null;
    }
}
